For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
            • GETList Channels
            • POSTCreate Channel
            • GETGet Channel
            • PUTUpdate Channel
              • GETGet Channel Active Theme
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementChannelsActive Theme

Get Channel Active Theme

GET
https://api.bigcommerce.com/stores/:store_hash/v3/channels/:channel_id/active-theme
GET
/stores/:store_hash/v3/channels/:channel_id/active-theme
$curl https://api.bigcommerce.com/stores/store_hash/v3/channels/1/active-theme \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
1{
2 "data": {
3 "active_theme_uuid": "e3d82ce0-9bae-0133-0de7-525400970412",
4 "active_theme_configuration_uuid": "1c0962a0-9172-0139-70bc-2a81c0049363",
5 "active_theme_version_uuid": "b9911770-8a43-0139-f84a-7e39a3a0bc55",
6 "saved_theme_configuration_uuid": "1c0962a0-9172-0139-70bc-2a81c0049363"
7 },
8 "meta": {}
9}

Returns details of the theme active on the specified channel. Does not support active Blueprint (legacy) themes.

Was this page helpful?
Previous

Update Channel

Next

List Channel Metafields

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Channel Listingsmodifystore_channel_listings
Channel Listingsread-onlystore_channel_listings_read_only
Channel Settingsmodifystore_channel_settings
Channel Settingsread-onlystore_channel_settings_read_only
Sites & Routesmodifystore_sites
Sites & Routesread-onlystore_sites_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

channel_idlongRequired
The ID of a channel.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Response

dataobject

Details about the Channelʼs relationship to Themes.

metaobject
Response metadata.

Errors

404
Not Found Error

The MIME type of the response body.